Skip to main content
`Ctrl`+`K`

# MatIncreaseOverlapSplit

Given a set of submatrices indicated by index sets across a sub communicator, replaces the index sets by larger ones that represent submatrices with additional overlap.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIncreaseOverlapSplit(Mat mat, PetscInt n, IS is[], PetscInt ov)

Collective

## Input Parameters

- mat - the matrix

- n - the number of index sets

- is - the array of index sets (these index sets will changed during the call)

- ov - the additional overlap requested

## ` Options Database Key

- -mat_increase_overlap_scalable - use a scalable algorithm to compute the overlap (supported by MPIAIJ matrix)

## See Also

Matrices, `Mat`, `MatCreateSubMatrices()`, `MatIncreaseOverlap()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Examples

src/ksp/ksp/tutorials/ex64.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages